Name:          libjson-rpc-cpp
Version:       1.1.0
Release:       1mamba
Summary:       C++ framework for json-rpc (json remote procedure call)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/cinemast/libjson-rpc-cpp.git
Source:        https://github.com/cinemast/libjson-rpc-cpp.git/v%{version}/libjson-rpc-cpp-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libargtable2-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: libhiredis-devel
BuildRequires: libjsoncpp-devel
BuildRequires: libmicrohttpd-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
C++ framework for json-rpc (json remote procedure call).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Development
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libjsonrpccpp-client.so.*
%{_libdir}/libjsonrpccpp-common.so.*
%{_libdir}/libjsonrpccpp-server.so.*
%{_libdir}/libjsonrpccpp-stub.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/jsonrpccpp
%{_includedir}/jsonrpccpp/*
%{_prefix}/lib/pkgconfig/libjsonrpccpp-stub.pc
%{_libdir}/libjsonrpccpp-client.so
%{_libdir}/libjsonrpccpp-common.so
%{_libdir}/libjsonrpccpp-server.so
%{_libdir}/libjsonrpccpp-stub.so
%dir %{_libdir}/libjson-rpc-cpp
%dir %{_libdir}/libjson-rpc-cpp/cmake
%{_libdir}/libjson-rpc-cpp/cmake/libjson-rpc-cpp*.cmake
%{_libdir}/pkgconfig/libjsonrpccpp-client.pc
%{_libdir}/pkgconfig/libjsonrpccpp-common.pc
%{_libdir}/pkgconfig/libjsonrpccpp-server.pc
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/jsonrpcstub
%{_mandir}/man1/jsonrpcstub.1*

%changelog
* Mon May 07 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- package created using the webbuild interface
